This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 989636 - [RFE] Add ability to pull system entropy from host
[RFE] Add ability to pull system entropy from host
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Amos Kong
Virtualization Bugs
: FutureFeature
Depends On: 786407 1001770 1001773
Blocks: 975927
  Show dependency treegraph
 
Reported: 2013-07-29 12:52 EDT by Hai Huang
Modified: 2015-05-24 20:07 EDT (History)
27 users (show)

See Also:
Fixed In Version: qemu 1.4
Doc Type: Release Note
Doc Text:
Pulling System Entropy from Host A new device, virtio-rng, can be configured for guests, which will make entropy available to guests from the host. By default, this information is sourced from the host's /dev/random file, but hardware random number generators (RNG) available on hosts can be used as the source as well.
Story Points: ---
Clone Of: 786407
Environment:
Last Closed: 2014-06-13 08:21:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Amos Kong 2013-07-30 02:40:14 EDT
We already have virtio-rng support in latest qemu-kvm-rhel7.
I assume that what I need to do more is confirming it works in rhel7.

1) use assigned backend
# qemu-kvm-rhel7 -object rng-random,filename=/dev/urandom,id=rng0 -device virtio-rng-pci,rng=rng0 -vnc :0 -snapshot /images/RHEL-Server-7.0-64-virtio.qcow2 --enable-kvm

2) use default backend
# qemu-kvm-rhel7 -device virtio-rng-pci -vnc :0 -snapshot /images/RHEL-Server-7.0-64-virtio.qcow2 --enable-kvm
Comment 6 Ludek Smid 2014-06-13 08:21:49 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.